version: '3.9'
services:
  server:
    build:
      context: .
      dockerfile: Dockerfile
    container_name: 'MauMau-Client'
    ports:
      - '80:80'
    restart: always
    networks:
      - MauMau
    labels:
      traefik.enable: "true"
      traefik.http.routers.maumau.entrypoints: "websecure"
      traefik.http.routers.maumau.rule: "Host(`mau-mau.nl`)"
      traefik.http.routers.maumau.tls: "true"
      traefik.http.routers.maumau.tls.certresolver: "lets-encrypt"
      traefik.docker.network: "traefik"
networks:
  MauMau:
    driver: bridge
  traefik:
      external: true
